net.dontdrinkandroot.visualization.util.timings

## Class NoopTimings

- java.lang.Object
- - net.dontdrinkandroot.visualization.util.timings.NoopTimings

All Implemented Interfaces:
  Timings

    public class NoopTimings
    extends Object
    implements Timings

### Constructor Summary

Constructors
Constructor and Description
`NoopTimings()`

### Method Summary

Methods
`void` `evaluate()`
`void` `start(String id)`
`void` `stop(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NoopTimings

    public NoopTimings()

### Method Detail

#### evaluate

    public final void evaluate()

Specified by:
  `evaluate` in interface `Timings`

#### start

    public final void start(String id)

Specified by:
  `start` in interface `Timings`

#### stop

    public final void stop(String id)

Specified by:
  `stop` in interface `Timings`